function varargout = schaubild(varargin)
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
% SCHAUBILD Application M-file for schaubild.fig
%    FIG = SCHAUBILD launch schaubild GUI.
%    SCHAUBILD('callback_name', ...) invoke the named callback.

% Last Modified by GUIDE v2.5 28-Jan-2004 17:23:03

if nargin == 0  % LAUNCH GUI

	fig = openfig(mfilename,'reuse');

	% Generate a structure of handles to pass to callbacks, and store it. 
	handles = guihandles(fig);
	guidata(fig, handles);

	if nargout > 0
		varargout{1} = fig;
	end

elseif ischar(varargin{1}) % INVOKE NAMED SUBFUNCTION OR CALLBACK

	try
		if (nargout)
			[varargout{1:nargout}] = feval(varargin{:}); % FEVAL switchyard
		else
			feval(varargin{:}); % FEVAL switchyard
		end
	catch
		disp(lasterr);
	end

end


%| ABOUT CALLBACKS:
%| GUIDE automatically appends subfunction prototypes to this file, and 
%| sets objects' callback properties to call them through the FEVAL 
%| switchyard above. This comment describes that mechanism.
%|
%| Each callback subfunction declaration has the following form:
%| <SUBFUNCTION_NAME>(H, EVENTDATA, HANDLES, VARARGIN)
%|
%| The subfunction name is composed using the object's Tag and the 
%| callback type separated by '_', e.g. 'slider2_Callback',
%| 'figure1_CloseRequestFcn', 'axis1_ButtondownFcn'.
%|
%| H is the callback object's handle (obtained using GCBO).
%|
%| EVENTDATA is empty, but reserved for future use.
%|
%| HANDLES is a structure containing handles of components in GUI using
%| tags as fieldnames, e.g. handles.figure1, handles.slider2. This
%| structure is created at GUI startup using GUIHANDLES and stored in
%| the figure's application data using GUIDATA. A copy of the structure
%| is passed to each callback.  You can store additional information in
%| this structure at GUI startup, and you can change the structure
%| during callbacks.  Call guidata(h, handles) after changing your
%| copy to replace the stored original so that subsequent callbacks see
%| the updates. Type "help guihandles" and "help guidata" for more
%| information.
%|
%| VARARGIN contains any extra arguments you have passed to the
%| callback. Specify the extra arguments by editing the callback
%| property in the inspector. By default, GUIDE sets the property to:
%| <MFILENAME>('<SUBFUNCTION_NAME>', gcbo, [], guidata(gcbo))
%| Add any extra arguments after the last argument, before the final
%| closing parenthesis.



% --------------------------------------------------------------------
function varargout = yachsenpopup_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = yachsenlabel_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = zachsenpopup_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = drawbutton_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = dateinamenradio_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = zellgrenzenradio_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = gruppenmittelwerteradio_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = gruppenfarbenradio_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = togglebutton1_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = togglebutton2_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = radiobutton1_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = radiobutton2_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = popupmenu1_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = opendatafilebutton_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = edit1_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = mittelwertlinewidthpopup_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = popupmenu3_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = popupmenu4_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = edit2_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = popupmenu5_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = popupmenu6_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = edit3_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = popupmenu7_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = popupmenu8_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = popupmenu9_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = radiobutton3_Callback(h, eventdata, handles, varargin)

